
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何实现ASP.NET网站个性化？ / iVAN</title>

    <meta name="description" content="如何实现ASP.NET网站个性化？ 如今,个性化是大多数Web应用程序的一个关键部分.TechRepublic和Amazon就是典型的例子,它们能够记住用户的某些特征.应用ASP.NET 1.x实现这一功能需要完成一些额外的工作,并要使用Session对象,但2.0版本简化了个性化过程. 个性文件 ASP.NET 2.0 Profile系统允许你轻松存储用户的相关信息.你定义与每名用户有关的属性,并将它存储在他们的个性文件中.个性文件数据可以用程序方便地访问.与其它保存文件一样,它必须被存储,且个性文件默认使用SQL Server">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何实现ASP.NET网站个性化？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>如今，个性化是大多数Web应用程序的一个关键部分。TechRepublic和Amazon就是典型的例子，它们能够记住用户的某些特征。应用ASP.NET 1.x实现这一功能需要完成一些额外的工作，并要使用Session对象，但2.0版本简化了个性化过程。</p>
<p><strong>个性文件</strong></p>
<p>ASP.NET 2.0 Profile系统允许你轻松存储用户的相关信息。你定义与每名用户有关的属性，并将它存储在他们的个性文件中。个性文件数据可以用程序方便地访问。与其它保存文件一样，它必须被存储，且个性文件默认使用SQL Server。 </p>
<p>Profile系统以提供程序模型为基础，特殊的Profile提供程序负责将属性值序列化和解序列化到某个数据仓库中。.NET Framework默认使用一个SqlProfileProvider类，它使用一个SQL Server数据库表来存储数据。 </p>
<p><strong>系统配置</strong></p>
<p>在使用ASP.NET 2.0的个性文件特性之前，必须对Web服务器进行正确配置，使其支持这一特性。默认情况下，个性文件特性使用一个SQL Server终端，但你也可以建立自己的提供程序。在本文中，我主要讨论标准的SQL Server终端，它使用默认的SqlProfileProvider类。 </p>
<p>SQL Server支持版本7.0、2000和2005。要配置一个支持SQL Server的系统，首先应配置数据库服务器，最后是ASP.NET平台。</p>
<p>.NET Framework 2.0中包含正确配置ASP.NET环境的工具。如果你使用了SQL Server 2005精简版和Visual Studio，就不必进行配置。如果没有应用上述程序，第一步是注册一个SQL Server连接。使用随.NET Framework安装的命令行工具Aspnet_regsql.exe即可完成此项操作。在我的机器上，此工具的路径为：</p>
<p>C:\Windows\Microsoft.NET\v2.0.50727\aspnet_regsql.exe </p>
<p>这个工具中包含大量的选项，你可以通过命令行选项(-?)详细阅读。在我的开发系统中，我使用现有的SQL Server 2000。下面的命令通过在指定服务器上建立必要的数据库来进行环境配置。 </p>
<p>Aspnet_regsql.exe –A p –E –S database_server_name </p>
<p>命令行开关E告诉系统用当前用户证书进行验证。开关S允许你指定数据库服务器名称。开关A说明增加哪个选项，后面的p指明增加个性文件支持。执行此命令即可建立一个SQL Server数据库。数据库的默认名称为aspnetdb，但你也可以用命令行开关d撤销它，开关d允许你指定一个现有的数据库。</p>
<p>现在已建立一个SQL Server环境，接下来应对ASP.NET 2.0进行配置，使其利用连接和个性文件。进入IIS管理界面，查看ISS网站（Web Sites）属性并选择ASP.NET标签，即可激活ASP.NET环境属性。选择ASP.NET标签上的编辑配置（Edit Configuration）按钮。验证（Authentication）标签包含一个角色(Roles)区，其中的角色管理（Role Management）被激活（应查看这一点）。默认的SQL Server（LocalSqlServer）连接字符串在通用（General）标签中指定。我的开发环境使用下面的连接字符串： </p>
<p>data source= database_server_name;Integrated Security=SSPI; </p>
<p>Initial Catalog=aspnetdb;User Instance=false </p>
<p>将这些改变保存在ASP.NET环境中，把它连接到前面配置的SQL Server实例中。配置好平台后，你就可以开始执行。 </p>
<p><strong>定义元素</strong></p>
<p>个性文件中使用的数据元素在web.config文件中建立与保存（即被保存的数据值在那个文件中定义）。实际值（对不同用户而言）保存在一个终端数据仓库中。你可以指定每个属性的名称、数据类型和数据序列化的方式。</p>
<p>属性的数据类型与.NET中的有效标准数据类型相同。序列化选项一般依赖于被存储的数据类型，但共有四个序列化选项： </p>
<p>ProviderSpecific：默认Profile提供程序决定如何序列化属性值。 </p>
<p>字符串：属性值转换成一个字符串。</p>
<p>Xml：属性值转换成XML形式。</p>
<p>二进制：属性值转换成二进制形式。 </p>
<p>在属性元素中定义的个性文件元素包含在一个个性文件元素中，它位于web.config文件的system.web部分。列表A中的 web.config包括一个应用前面个性文件支持的个性文件片断。它将使用两个个性文件项目——FirstName和LastName——它们保存字符串值并允许匿名用户。</p>
<p>匿名用户和认证用户均可应用个性文件特性。前面的web.config文件使用个性文件元素的allowAnonymous属性，并激活应用程序匿名支持（anonymousIdentification元素），从而指定匿名支持。</p>
<p><strong>使用代码</strong> </p>
<p>正确配置环境后，就可以方便地在你的.NET代码中应用个性文件元素。列表B中的简单C#代码使用个性文件元素来存储并显示数据值，它利用包含在System.Web命名空间中的Profile类。代码中包含在代码分离文件后的ASP.NET文件。 </p>
<p>列表C包含定制代码的代码分离(codebehind)。第一个按钮存储个性文件域中每个文本域的值。第二个按钮从个性文件域中恢复值，并用这些值填充文本域。 </p>
<p><strong>个性化更加简化</strong> </p>
<p>个性化只是ASP.NET 2.0许多新特性中的一个。经过几个配置步骤，你就可以通过标准的web.config文件和Profile类编码，方便地为应用程序增加个性化特性。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 06:06:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%b1%9e%e6%80%a7/" title="属性">属性</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/%e4%b8%aa%e6%80%a7/" title="个性">个性</a>, <a href="https://www.iamivan.net/tag/asp-net%e5%a6%82%e4%bd%95%e9%85%8d%e7%bd%ae%e7%8e%af%e5%a2%83/" title="asp net如何配置环境">asp net如何配置环境</a>, <a href="https://www.iamivan.net/tag/%e4%b8%aa%e6%80%a7%e5%ba%94%e7%94%a8/" title="个性应用">个性应用</a>, <a href="https://www.iamivan.net/tag/asp-net%e9%85%8d%e7%bd%ae%e9%80%89%e9%a1%b9/" title="Asp&period;net配置选项">Asp&period;net配置选项</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何实现ASP.NET网站个性化？的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQow0p.html" rel="bookmark">教程：如何实现ASP&period;NET网站个性化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|教程 如今,个性化是大多数Web应用程序的一个关键部分.TechRepublic和Amazon就是典型的例子,它们能够记住用户的某些特征.应用ASP.NET 1.x实现这一功能需要完成一些额外的工作,并要使用Session对象,但2.0版本简化了个性化过程. 个性文件 ASP.NET 2.0 Profile系统允许你轻松存储用户的相关信息.你定义与每名用户有关的属性,并将它存储在他们的个性文件中.个性文件数据可以用程序方便地访问.与其它保存文件一样,它必须被存储,且个性文件默认使			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9MxVG7z.html" rel="bookmark">如何实现ASP&period;NET网站个性化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net 如今,个性化是大多数Web应用程序的一个关键部分.TechRepublic和Amazon就是典型的例子,它们能够记住用户的某些特征.应用ASP.NET 1.x实现这一功能需要完成一些额外的工作,并要使用Session对象,但2.0版本简化了个性化过程. 个性文件 ASP.NET 2.0 Profile系统允许你轻松存储用户的相关信息.你定义与每名用户有关的属性,并将它存储在他们的个性文件中.个性文件数据可以用程序方便地访问.与其它保存文件一样,它必须被存储,且个性文件默认使用SQ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xp8Qolz.html" rel="bookmark">&period;NET技巧 如何实现ASP&period;NET网站个性化？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|技巧 如今,个性化是大多数Web应用程序的一个关键部分.TechRepublic和Amazon就是典型的例子,它们能够记住用户的某些特征.应用ASP.NET 1.x实现这一功能需要完成一些额外的工作,并要使用Session对象,但2.0版本简化了个性化过程. 个性文件 ASP.NET 2.0 Profile系统允许你轻松存储用户的相关信息.你定义与每名用户有关的属性,并将它存储在他们的个性文件中.个性文件数据可以用程序方便地访问.与其它保存文件一样,它必须被存储,且个性文件默认使			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p56oemz.html" rel="bookmark">一起谈&period;NET技术，如何实现ASP&period;NET网站个性化？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				个性化是大多数Web应用程序的一个关键部分.TechRepublic和Amazon就是典型的例子,它们能够记住用户的某些特征.应用ASP.NET 1.x实现这一功能需要完成一些额外的工作,并要使用Session对象,而ASP.NET2.0版本简化了个性化过程. 个性文件 ASP.NET 2.0 Profile系统允许你轻松存储用户的相关信息.定义与每名用户有关的属性,并将它存储在他们的个性文件中.个性文件数据可以用程序方便地访问.与其它保存文件一样,它必须被存储,且个性文件默认使用SQL Ser			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlKRLb.html" rel="bookmark">asp&period;net中英切换-ASP&period;NET网站实现中英切换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 ASP.NET网站实现中英切换 请问用ASP.NET做的网站怎么实现中英切换的功能?求大神指点,多谢! 解决方案 http://www.cnblogs.com/wenjl520/archive/2010/10/17/1853367.htmlhttp://www.codeproject.com/Articles/38907/ASP-NET-Localization-Quick-Reference 解决方案二: 如何实现ASP.NET网站个性化在ASP.NET网站中实现带列表的视频播放在A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1lqL8b.html" rel="bookmark">asp&period;net中英切换-ASP&period;NET网站可以实现中英切换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 ASP.NET网站可以实现中英切换 请问数据库字段该怎么设计,页面如何实现中英切换,急求大神指点,多谢多谢! 解决方案 i18N 听过吗? 不是相切就切的 你的把对应的字段设置好 反正java采用的是I18N 解决方案二: 如何实现ASP.NET网站个性化ASP.Net网站多语言的实现ASP.NET使用IHttpModule实现网站静态缓存			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqO50Zz.html" rel="bookmark">14天的努力！终于研究出一个相样的ASP&period;NET网站，分享个图片给大家长长眼！！！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 14天的努力!终于研究出一个相样的ASP.NET网站,分享个图片给大家长长眼!!!14天的努力!终于研究出一个相样的ASP.NET网站,分享个图片给大家长长眼!!!14天的努力!终于研究出一个相样的ASP.NET网站,分享个图片给大家长长眼!!!注明一下:后台数据库为ACCESS版本的 解决方案 本帖最后由 sgzhou12345 于 2016-05-25 13:13:34 编辑解决方案二:牛逼解决方案三: 解决方案四:骚年,恭喜入门解决方案五:按钮点了有用吗解决方案六:不错加油!解决			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzVQkVp.html" rel="bookmark">工具-怎么在vs2013中进行asp&period;net网站配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 怎么在vs2013中进行asp.net网站配置 这个工具好像在以前的版本上有的,在vs2013中没找到,改怎么办呢?在百度上搜过,没看懂,求高人指点 解决方案 对了电脑操作系统是win8 解决方案二: 你要配置什么呢??? 解决方案三: 解决方案四: VS2013取消了从GUI上访问Web配置工具的功能,必须使用控制台启用 参考 http://blogs.msdn.com/b/webdev/archive/2013/08/19/asp-net-web-configuration-too			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrvmvM.html" rel="bookmark">asp&period;net 网站运行很慢 很慢  为什么会这样  应该设置什么？   怎么设置呢？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 asp.net 网站运行很慢 很慢 为什么会这样 应该设置什么? 怎么设置呢? asp.net 网站运行很慢很慢 是什么原因? 应该设置什么? 怎么设置呢? 解决方案 这个原因多了去了,比如感染了360等流氓软件,甚至是cpu散热不好.重装系统看看,再不行就是硬件问题. 解决方案二: 是啊,这个原因多了去了,再问一下,你网站快过没有?所有人浏览你网站都慢吗?电信.移动都很慢吗?不是的话,那问题不在服务器.你服务器放在哪儿呢?国外?是的话,那正常.如果在国内,你可以访问一下同IP段其他网			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPPqvp.html" rel="bookmark" class="title">初始化数据库和导入数据</a>
					<div>
						在Spring Boot应用的测试一文中,我们在StarterRunner类的run(...)方法中给数据库中添加一些初始数据.尽管通过编程方式添加初始数据比较快捷方便,但长期来看这并不是一个好办法- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgR3Zb.html" rel="bookmark" class="title">搜索更随心，傲游3搜索功能自定义技巧</a>
					<div>
						  傲游3搜索功能使用简单,通过搜索栏.地址栏.起始页,或者选词拖放等均可打开默认搜索引擎进行搜索.傲游3默认搜索引擎为百度,喜欢其他搜索引擎的用户可以在搜索栏下拉菜单修改这个设置.     图一 傲 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5rxDz.html" rel="bookmark" class="title">理论知识：关于学习CSS的25个观点</a>
					<div>
						css 1. 不要放过任何一个看上去很简单的小问题--他们往往并不那么简单,或者可以引伸出很多知识点: 2. 会用CSS,并不说明你会CSS: 3. 看CSS的书,是学不了CSS语言的: 4. 浮躁的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPd4Ap.html" rel="bookmark" class="title">实现按部门月卡余额总额分组统计的SQL查询代码</a>
					<div>
						分组|统计 陈优章的专栏 (原创,到现在为至最为复杂的SQL查询代码)实现按部门月卡余额总额分组统计的SQL查询代码(在Ms SQL Server中调试通过) SELECT dp.dpname1 AS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0JAAz.html" rel="bookmark" class="title">&lpar;论坛答疑点滴&rpar;联合主键的情况怎么在DataGrid中利用DataKeys定位记录？</a>
					<div>
						datagrid   比如表中三个字段 key1 int,key2 int,item varchar(50) 前面2个字段联合主键 前台代码: &lt;asp:DataGrid id=&quot;Da ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNE2VPb.html" rel="bookmark" class="title">Linux 上的基础网络设备详解</a>
					<div>
						Linux 抽象网络设备简介 和磁盘设备类似,Linux 用户想要使用网络功能,不能通过直接操作硬件完成,而需要直接或间接的操作一个 Linux 为我们抽象出来的设备,既通用的 Linux    网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91LlVM.html" rel="bookmark" class="title">PS新手必看&colon;PS 五大快速抠图技巧介绍</a>
					<div>
						  简单图像抠图法1:魔棒工具 不管是摄影还是制图,我们经常会使用到Photoshop这个神奇的软件.它能够秒杀世 界上任何化妆品.减肥产品,也可以让你的世界从此变得与众不同.在我们后期的过程中,我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3A7ZM.html" rel="bookmark" class="title">腾讯电脑管家创建wifi热点</a>
					<div>
						  1.下载安装QQ电脑管家,然后打开它,点击右下角的[工具箱] 2.接着,选择[更多] 3.在弹出的方框上,找到wifi共享精灵,点击[WiFi共享精灵]稍等片刻,wifi共享精灵自动下载安装成功. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWL1op.html" rel="bookmark" class="title">天正cad打印设置线宽的方法</a>
					<div>
						天正cad打印设置线宽的方法   cad线宽 天正cad打印设置线宽的方法 一.打开天正cad; 二.选择打印; 三.选择打印样式,点击右侧图标; 四.在打印样式表编辑器上设置,颜色,颜色选择黑色;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBPZaz.html" rel="bookmark" class="title">怎么样重新开启蓝牙功能服务</a>
					<div>
						  1.使用组合快捷键win键+r键打开运行,输入services.msc,回车确定.如下图所示 2.在打开的界面里找到&quot;Bluetooth Supp- Blue-&quot;,如下图所示  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWxR7b.html" rel="bookmark" class="title">怎样在Linux 5上添加裸设备映射</a>
					<div>
						在红帽企业Linux 5上怎样添加裸设备映射? 解决方法: 裸设备接口在紅帽企业Linux 5上已经被去掉了.现在可以通过udev规则配置裸设备. 为了添加裸设备映射,在/etc/udev/rules ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAJmEM.html" rel="bookmark" class="title">写好的c程序如何封装成dll动态库</a>
					<div>
						问题描述 写好的c程序如何封装成dll动态库 写好的c程序如何封装成dll动态库?其中此程序中已经调用了一个dll动态库.这种情况的要如何封装呢?即程序中包含普通函数和dll动态库.之前都没有做过这样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQK6Yp.html" rel="bookmark" class="title">选择哪种nosql数据库</a>
					<div>
						问题描述 初学者,看到人家一直在说nosql,想学习下是不是所有的nosql数据库都不支持join?我想练手一个进存销的系统,有很多产品类别,每个产品类别下有大量的产品.经常读写.这种模型使用哪种数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6Dd8b.html" rel="bookmark" class="title">建站必备的工具&excl;比dreamweaver更好的自助建站工具</a>
					<div>
						免费试用啦!史上最灵活最神奇的自助建站工具! 去看看, 卓天网络,首先问大家两个问题: ①现在找人做一个纯静态的企业展示型网站,加上购买域名空间,要多少钱? ②做一个简/繁/英三语同步,繁简自动转换, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP5Kmp.html" rel="bookmark" class="title">中铁二局中标总价49亿元工程项目</a>
					<div>
						网易财经9月7日讯中铁二局周二晚间发布公告称,公司中标新建天津至保定铁路工程JBSG-4标段等五个工程项目,合计金额达49.14亿元. 公告显示,五个工程分别为新建天津至保定铁路工程JBSG-4标段. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYWGyp.html" rel="bookmark" class="title">《触摸屏游戏设计》&mdash;&mdash;4&period;2节游戏需要故事&hellip;&hellip;不是么？</a>
					<div>
						4.2 游戏需要故事--不是么? 触摸屏游戏设计 很久很久以前,游戏没有故事--但是也没人介意.那时的玩家们都在手忙脚乱地堆放着下落的方块儿.随着时间的推移,玩家给予了这些方块儿独特玩法的可能.结果就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAA7EnM.html" rel="bookmark" class="title">js ree-谁有jsTree简单树形图代码</a>
					<div>
						问题描述 谁有jsTree简单树形图代码 求个js高手, 要代码, 在线等,急 !!!! 解决方案 看看例子http://www.cnblogs.com/lei2007/archive/2011/08 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rD3Kp.html" rel="bookmark" class="title">【解决】virtualbox启动报创建COM对象失败错误</a>
					<div>
						今天在启动virtualbox时,发现virtualbox报创建COM对象失败错误,如下图: 查找相关资料发现很有可能是virtualbox与OS不兼容造成. 调整virtualbox的兼容性,如下图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm5vVb.html" rel="bookmark" class="title">iOS开发多线程篇&mdash;NSOperation基本操作</a>
					<div>
						一.并发数 (1)并发数:同时执⾏行的任务数.比如,同时开3个线程执行3个任务,并发数就是3 (2)最大并发数:同一时间最多只能执行的任务的个数. (3)最⼤大并发数的相关⽅方法 - (NSInteg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4ZrJz.html" rel="bookmark" class="title">J2EE VS &period;NET平台：差异性分析</a>
					<div>
						J2EE与http://www.aliyun.com/zixun/aggregation/13480.html&quot;&gt;.NET平台的相似点 图2中给出了J2EE与呢平台之间的所有相当之处. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7kvgp.html" rel="bookmark" class="title">互联网理财新产品涌现 你看得懂吗？</a>
					<div>
						投资风向标 随着互联网理财的迅猛发展,各方已经不满足于简单的&quot;余额宝&quot;式货币基金网络理财,结构产品.保险理财.票据理财.P2P借贷理财.股权投资--各种各样的新品种开始登录各个大平 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Rk1Qb.html" rel="bookmark" class="title">《Windows Server 2012活动目录管理实践》&mdash;&mdash;2&period;2　部署网络第一台域控制器</a>
					<div>
						2.2 部署网络第一台域控制器 本节创建名称为&quot;book.com&quot;的域.Windows Server 2012操作系统安装完成后,需要重命名计算机.更改网络参数,然后才可以安装AD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94mkKb.html" rel="bookmark" class="title">win2008 r2 x64上配置iis的艰难历程分享&lowbar;win服务器</a>
					<div>
						暑假,终于下定决定要启用win2008了,经过上面的破解.配置,iis终于装好了.把博客程序考到机器上,摸索着进行配置.下面谈谈能顺利运行的经历:1.配置好了以后,发现URLRewriter.dll不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40xxNz.html" rel="bookmark" class="title">四款后起编程语言能否成功挑战Python的王者地位</a>
					<div>
						Swift.Go.Julia与R已经成为现任便捷性与功能性王者Python的潜在竞争对手. 王权没有永恒,编程语言自然也不例外.作为当前雄踞各大语言人气榜冠军的Python,其似乎也面临着同样的挑战. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE42Ez.html" rel="bookmark" class="title">导入自己站点的日志到官方UCenter Home中</a>
					<div>
						UCenter Home是http://www.aliyun.com/zixun/aggregation/12899.html&quot;&gt;康盛创想(Comsenz)公司发布的一款SNS建站系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1Pm0b.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;被热咖啡浇了一身&rdquo;网友投诉85度C甜品店</a>
					<div>
						微博投诉:大年初二,被热咖啡浇了一身前日,一名 网友在新浪微博上投诉南京&quot;85度C&quot;太平洋店服务态度恶劣,更让他感到恼火的是,自己在85度C官方微博的留言都被删除.该网友在微博中说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLJVBM.html" rel="bookmark" class="title">深入解析contentWindow&comma; contentDocument&lowbar;基础知识</a>
					<div>
						生活永远是一个大染缸,一块白布下去,黑布出来,一块黑布下去,一块七色布出来.contentWindow 兼容各个浏览器,可取得子窗口的 window 对象.contentDocument Firefo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmLg1z.html" rel="bookmark" class="title">JSON学习笔记第1&sol;2页&lowbar;json</a>
					<div>
						利用xmlHttpRequest组件作为交互工具,利用XML作为数据传输的格式. [  XML ] 使用XML作为传输格式的优势: 1. 格式统一, 符合标准 2. 容易与其他系统进行远程交互, 数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2QkmM.html" rel="bookmark" class="title">php支持中英文的加密解密类代码</a>
					<div>
						下面代码保存成MD5Crypt.class.php文件  代码如下 复制代码 &lt;?php class MD5Crypt { /** * Enter description here ... *  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8QXAb.html" rel="bookmark" class="title">VBS教程：函数-VarType 函数&lowbar;vbs</a>
					<div>
						VarType 函数 返回指示变量子类型的值. VarType(varname) varname 参数可以是任何变量. 返回值 VarType 函数返回下列值: 常数 值 描述 vbEmpty 0 E ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
